package edu.travel.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 用户表
 */
@Data
@TableName(value = "baby.bt_account_info")
public class BtAccountInfo extends BaseEntity {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 姓
     */
    @TableField(value = "surname")
    private String surname;

    /**
     * 名
     */
    @TableField(value = "`name`")
    private String name;

    /**
     * 昵称
     */
    @TableField(value = "nickname")
    private String nickname;

    /**
     * 性别 0男 1女
     */
    @TableField(value = "sex")
    private Integer sex;

    /**
     * 头像
     */
    @TableField(value = "avatar")
    private String avatar;

    /**
     * 手机号
     */
    @TableField(value = "phone")
    private String phone;

    /**
     * 地区区号
     */
    @TableField(value = "area")
    private String area;

    /**
     * 生日日期
     */
    @TableField(value = "birthday")
    private Date birthday;

    /**
     * 用户状态：0-禁用，1-启用（默认启用）
     */
    @TableField(value = "user_status")
    private Integer userStatus;

    /**
     * 用户密码
     */
    @TableField(value = "`password`")
    private String password;

    /**
     * 默认语言
     */
    @TableField(value = "default_language_id")
    private Long defaultLanguageId;

    /**
     * 微信小程序openid
     */
    @TableField(value = "tenant_open_id")
    private String tenantOpenId;

    /**
     * 微信小程序unionid
     */
    @TableField(value = "tenant_unionid")
    private String tenantUnionid;

}